%global somajor 1

%global baserelease 1

Name:           libstorage-ng
Version:        4.5.253
Release:        0%{?dist}.%{baserelease}
Summary:        Library for storage management
License:        GPL-2.0-only
URL:            http://github.com/openSUSE/%{name}
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  boost-devel
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  glibc-all-langpacks
BuildRequires:  graphviz
BuildRequires:  grep
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  python3-devel
BuildRequires:  ruby
BuildRequires:  ruby-devel
BuildRequires:  rubygem(test-unit)
BuildRequires:  swig >= 3.0.3

Requires:       coreutils
Suggests:       cryptsetup
Requires:       device-mapper
Suggests:       dmraid
Requires:       lsscsi >= 0.26
Suggests:       lvm2
Suggests:       mdadm >= 3.3
Suggests:       multipath-tools
Requires:       parted >= 3.2
Requires:       util-linux >= 2.16
Requires:       systemd-udev
%ifarch s390 s390x
Requires:       s390utils
%endif

%description
This package contains libstorage-ng, a library for storage management.

%package devel
Summary:        Header files and documentation for libstorage-ng
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       gcc-c++
Requires:       libstdc++-devel
Requires:       pkgconfig(libxml-2.0)

%description devel
This package contains header files and documentation for developing with
libstorage-ng.

%package -n python3-%{name}
Summary:        Python bindings for libstorage-ng
%{?python_provide:%python_provide python3-%{name}}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Provide SUSE names for this package
Provides:       %{name}-python3 = %{version}-%{release}
Provides:       %{name}-python3%{?_isa} = %{version}-%{release}

%description -n python3-%{name}
This package contains Python bindings for libstorage-ng.

%package -n ruby-%{name}
Summary:        Ruby bindings for libstorage-ng
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Provide SUSE names for this package
Provides:       %{name}-ruby = %{version}-%{release}
Provides:       %{name}-ruby%{?_isa} = %{version}-%{release}

%description -n ruby-%{name}
This package contains Ruby bindings for libstorage-ng.

%package utils
Summary:        Utils for libstorage-ng
Recommends:     graphviz
Recommends:     ImageMagick

%description utils
This package contains utils for libstorage-ng.

%package integration-tests
Summary:        Integration tests for libstorage-ng
Requires:       python3-%{name}%{?_isa} = %{version}-%{release}

%description integration-tests
This package contains integration tests for libstorage-ng.


%prep
%autosetup -p1

# Ensure VERSION file is available
echo "%{version}" > VERSION

# Fix libexecdir
find -type f -exec sed -i -e "s|/usr/lib/libstorage-ng|%{_libexecdir}/libstorage-ng|g" {} ';'

%conf
autoreconf -fiv
export CFLAGS="%{build_cflags} -DNDEBUG"
export CXXFLAGS="%{build_cxxflags} -DNDEBUG"


%configure \
   --disable-static \
   --disable-silent-rules

%build
%make_build


%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

install -d -m 755 %{buildroot}/run/%{name}
touch %{buildroot}/run/%{name}/lock

%find_lang %{name}


%check
%make_build check LIBSTORAGE_CONFDIR=%{buildroot}%{_datadir}/libstorage LIBSTORAGE_LOCALEDIR=%{buildroot}%{_datadir}/locale


%files -f %{name}.lang
%doc AUTHORS
%license LICENSE
%{_libdir}/libstorage-ng.so.%{somajor}{,.*}
%ghost /run/libstorage-ng
%{_datadir}/libstorage/

%files devel
%{_libdir}/libstorage-ng.so
%{_includedir}/storage
%doc %{_docdir}/%{name}/

%files -n python3-%{name}
%pycached %{python3_sitelib}/storage.py
%attr(755,root,root) %{python3_sitearch}/_storage.so

%files -n ruby-%{name}
%{ruby_vendorarchdir}/storage.so

%files utils
%dir %{_libexecdir}/libstorage-ng
%{_libexecdir}/libstorage-ng/utils

%files integration-tests
%pycached %{python3_sitelib}/storageitu.py
%dir %{_libexecdir}/libstorage-ng
%{_libexecdir}/libstorage-ng/integration-tests


%changelog
* Sun May 04 2025 Neal Gompa <ngompa@fedoraproject.org> - 4.5.253-0.1
- Rebase to 4.5.253

* Sun Jun 09 2019 Neal Gompa <ngompa@fedoraproject.org> - 4.1.127-0.1
- Update to 4.1.127

* Sun Jun 02 2019 Neal Gompa <ngompa@fedoraproject.org> - 4.1.125-0.1
- Initial packaging
